package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterRainfall;
import com.lightinit.hsdatashow.entity.StWaterRainfallExample;
import com.lightinit.hsdatashow.model.admin.WaterqualityNameAndValueModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StWaterRainfallMapper {
    long countByExample(StWaterRainfallExample example);

    int deleteByExample(StWaterRainfallExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterRainfall record);

    int insertSelective(StWaterRainfall record);

    List<StWaterRainfall> selectByExample(StWaterRainfallExample example);

    StWaterRainfall selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterRainfall record, @Param("example") StWaterRainfallExample example);

    int updateByExample(@Param("record") StWaterRainfall record, @Param("example") StWaterRainfallExample example);

    int updateByPrimaryKeySelective(StWaterRainfall record);

    int updateByPrimaryKey(StWaterRainfall record);

    List<WaterqualityNameAndValueModel> getGequJiangshui();
}